#!/usr/bin/env bash
set -e

FMT_RED=$(printf '\033[31m')
FMT_GREEN=$(printf '\033[32m')
FMT_YELLOW=$(printf '\033[33m')
FMT_BLUE=$(printf '\033[34m')
FMT_BOLD=$(printf '\033[1m')
FMT_RESET=$(printf '\033[0m')

if [[ -d /home2/run && -x $(command -v code-server) ]]; then
    if ps -ef | grep -v grep | grep -q code-server; then
        sockpath=$(basename $(grep "socket:" ~/.config/code-server/config.yaml | awk -F' ' '{print $2}') .sock)
        password=$(grep "password:" ~/.config/code-server/config.yaml | awk -F' ' '{print $2}')
        echo "${FMT_GREEN}code-server is running${FMT_RESET}"
        echo "visit: https://proxy.nasp.fit/$(hostname)/$sockpath/"
        echo "password: $password"
    else
        echo "${FMT_RED}code-server is not running${FMT_RESET}"
    fi
else
    echo "${FMT_RED}code-server is not set up${FMT_RESET}"
fi
